__gnu_cxx Namespace Reference

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset). More...

## Classes

struct | hash
struct | hash< char * >
struct | hash< const char * >
struct | hash< string >
struct | hash< char >
struct | hash< unsigned char >
struct | hash< signed char >
struct | hash< short >
struct | hash< unsigned short >
struct | hash< int >
struct | hash< unsigned int >
struct | hash< long >
struct | hash< unsigned long >
struct | _Hashtable_node
class | hashtable
struct | _Hashtable_iterator
struct | _Hashtable_const_iterator

## Enumerations

enum | { _S_num_primes = 28 }

## Functions

size_t | __stl_hash_string (const char *__s)
unsigned long | __stl_next_prime (unsigned long __n)
template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All>
bool | operator== (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All>
bool | operator!= (const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht1, const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > &__ht2)
template<class _Val, class _Key, class _HF, class _Extract, class _EqKey, class _All>
void | swap (hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht1, hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > &__ht2)

## Variables

static const unsigned long | __stl_prime_list [_S_num_primes]

## Detailed Description

This file is a GNU extension to the Standard C++ Library (possibly containing extensions from the HP/SGI STL subset).

## Enumeration Type Documentation

## anonymous enum

anonymous enum

Enumerator
_S_num_primes |

Definition at line 212 of file hashtable.h.

## Function Documentation

## __stl_hash_string()

size_t __gnu_cxx::__stl_hash_string | ( | const char * | __s | ) |

inline

Definition at line 74 of file hash_fun.h.

## __stl_next_prime()

unsigned long __gnu_cxx::__stl_next_prime | ( | unsigned long | __n | ) |

inline

Definition at line 225 of file hashtable.h.

## operator!=()

template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All>

bool __gnu_cxx::operator!= | ( | const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > & | __ht1,
|  | const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > & | __ht2 )

inline

Definition at line 733 of file hashtable.h.

## operator==()

template<class _Val, class _Key, class _HF, class _Ex, class _Eq, class _All>

bool __gnu_cxx::operator== | ( | const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > & | __ht1,
|  | const hashtable< _Val, _Key, _HF, _Ex, _Eq, _All > & | __ht2 )

Definition at line 692 of file hashtable.h.

## swap()

template<class _Val, class _Key, class _HF, class _Extract, class _EqKey, class _All>

void __gnu_cxx::swap | ( | hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > & | __ht1,
|  | hashtable< _Val, _Key, _HF, _Extract, _EqKey, _All > & | __ht2 )

inline

Definition at line 740 of file hashtable.h.

## Variable Documentation

## __stl_prime_list

const unsigned long __gnu_cxx::__stl_prime_list[_S_num_primes]

static

Initial value:
=
{
53ul, 97ul, 193ul, 389ul, 769ul,
1543ul, 3079ul, 6151ul, 12289ul, 24593ul,
49157ul, 98317ul, 196613ul, 393241ul, 786433ul,
1572869ul, 3145739ul, 6291469ul, 12582917ul, 25165843ul,
50331653ul, 100663319ul, 201326611ul, 402653189ul, 805306457ul,
1610612741ul, 3221225473ul, 4294967291ul
}

Definition at line 214 of file hashtable.h.